Arrays (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.tribes.util

## Class Arrays

- java.lang.Object
- - org.apache.catalina.tribes.util.Arrays

-     public class Arrays
      extends Object

  Version:
    1.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static StringManager` | `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Arrays()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `add(int[] data)`
    `static boolean` | `contains(byte[] source, int srcoffset, byte[] key, int keyoffset, int length)`
    `static byte[]` | `convert(String s)`
    `static Member[]` | `diff(Membership complete, Membership local, Member ignore)`
    `static boolean` | `equals(byte[] o1, byte[] o2)`
    `static boolean` | `equals(Object[] o1, Object[] o2)`
    `static Member[]` | `extract(Member[] all, Member[] remove)`
    `static void` | `fill(Membership mbrship, Member[] m)`
    `static byte[]` | `fromString(String value)`
    `static UniqueId` | `getUniqudId(byte[] data)`
    `static UniqueId` | `getUniqudId(ChannelMessage msg)`
    `static int` | `hashCode(byte[] a)`
    `static int` | `indexOf(Member member, Member[] members)`
    `static Member[]` | `merge(Member[] m1, Member[] m2)`
    `static int` | `nextIndex(Member member, Member[] members)`
    `static Member[]` | `remove(Member[] all, Member remove)`
    `static boolean` | `sameMembers(Member[] m1, Member[] m2)`
    `static String` | `toNameString(Member[] data)`
    `static String` | `toNameString(Member[] data, int offset, int length)`
    `static String` | `toString(byte[] data)`
    `static String` | `toString(byte[] data, int offset, int length)`
    `static String` | `toString(byte[] data, int offset, int length, boolean unsigned)`
    `static String` | `toString(Object[] data)`
    `static String` | `toString(Object[] data, int offset, int length)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sm

          protected static final StringManager sm

  - ### Constructor Detail

    - #### Arrays

          public Arrays()

  - ### Method Detail

    - #### contains

          public static boolean contains(byte[] source,
                                         int srcoffset,
                                         byte[] key,
                                         int keyoffset,
                                         int length)

    - #### toString

          public static String toString(byte[] data)

    - #### toString

          public static String toString(byte[] data,
                                        int offset,
                                        int length)

    - #### toString

          public static String toString(byte[] data,
                                        int offset,
                                        int length,
                                        boolean unsigned)

    - #### toString

          public static String toString(Object[] data)

    - #### toString

          public static String toString(Object[] data,
                                        int offset,
                                        int length)

    - #### toNameString

          public static String toNameString(Member[] data)

    - #### toNameString

          public static String toNameString(Member[] data,
                                            int offset,
                                            int length)

    - #### add

          public static int add(int[] data)

    - #### getUniqudId

          public static UniqueId getUniqudId(ChannelMessage msg)

    - #### getUniqudId

          public static UniqueId getUniqudId(byte[] data)

    - #### equals

          public static boolean equals(byte[] o1,
                                       byte[] o2)

    - #### equals

          public static boolean equals(Object[] o1,
                                       Object[] o2)

    - #### sameMembers

          public static boolean sameMembers(Member[] m1,
                                            Member[] m2)

    - #### merge

          public static Member[] merge(Member[] m1,
                                       Member[] m2)

    - #### fill

          public static void fill(Membership mbrship,
                                  Member[] m)

    - #### diff

          public static Member[] diff(Membership complete,
                                      Membership local,
                                      Member ignore)

    - #### remove

          public static Member[] remove(Member[] all,
                                        Member remove)

    - #### extract

          public static Member[] extract(Member[] all,
                                         Member[] remove)

    - #### indexOf

          public static int indexOf(Member member,
                                    Member[] members)

    - #### nextIndex

          public static int nextIndex(Member member,
                                      Member[] members)

    - #### hashCode

          public static int hashCode(byte[] a)

    - #### fromString

          public static byte[] fromString(String value)

    - #### convert

          public static byte[] convert(String s)

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.